package cn.lihongjie.coal.warehouseGoodsSummary.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.warehouseGoodsSummary.dto.CreateWarehouseGoodsSummaryDto;
import cn.lihongjie.coal.warehouseGoodsSummary.dto.UpdateWarehouseGoodsSummaryDto;
import cn.lihongjie.coal.warehouseGoodsSummary.dto.WarehouseGoodsSummaryDto;
import cn.lihongjie.coal.warehouseGoodsSummary.service.WarehouseGoodsSummaryService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/warehouseGoodsSummary")
@SysLog(module = "仓库商品统计")
@Slf4j
@OrgScope
public class WarehouseGoodsSummaryController {
    @Autowired private WarehouseGoodsSummaryService service;

    @PostMapping("/create")
    public WarehouseGoodsSummaryDto create(@RequestBody CreateWarehouseGoodsSummaryDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public WarehouseGoodsSummaryDto update(@RequestBody UpdateWarehouseGoodsSummaryDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public WarehouseGoodsSummaryDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<WarehouseGoodsSummaryDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
